## org.eclipse.datatools.sqltools.sqlbuilder.views
Class ObjectComboHelper

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.views.ObjectHelper
          org.eclipse.datatools.sqltools.sqlbuilder.views.ObjectComboHelper

    public class ObjectComboHelper

extends ObjectHelper

Constructor Summary
`ObjectComboHelper(org.eclipse.swt.custom.CCombo ccombo)`
`ObjectComboHelper(org.eclipse.swt.widgets.Combo combo)`

Method Summary
`void` `addEntry(java.lang.String entry)`
`int` `getSelectionIndex()`
`void` `removeAll()`
`void` `selectIndex(int index)`

Methods inherited from class org.eclipse.datatools.sqltools.sqlbuilder.views.ObjectHelper
`addItem, addItems, clear, getLabelValuePair, getObjectAt, getSelectedLabelValuePair, getSelectedObject, indexOf, indexOf, indexOfValue, select, select, setItems`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectComboHelper

    public ObjectComboHelper(org.eclipse.swt.widgets.Combo combo)

### ObjectComboHelper

    public ObjectComboHelper(org.eclipse.swt.custom.CCombo ccombo)

Method Detail

### removeAll

    public void removeAll()

  Specified by:
    `removeAll` in class `ObjectHelper`

### addEntry

    public void addEntry(java.lang.String entry)

  Specified by:
    `addEntry` in class `ObjectHelper`

### getSelectionIndex

    public int getSelectionIndex()

  Specified by:
    `getSelectionIndex` in class `ObjectHelper`

### selectIndex

    public void selectIndex(int index)

  Specified by:
    `selectIndex` in class `ObjectHelper`